'use strict';
const CACHE_NAME = 'flutter-app-cache';
const RESOURCES = {
  "/index.html": "bbc8aa9f5ff85b7479844db876e5dbc0",
"/main.dart.js": "6aafa58232f1d047c5409b38190c6ef6",
"/assets/LICENSE": "3a80a07b4af2990f500674361024e1a8",
"/assets/build_number": "22cab69bca05d296a2d779a52cdee643",
"/assets/AssetManifest.json": "573dc48423f868faa9be785e48f86d88",
"/assets/FontManifest.json": "01700ba55b08a6141f33e168c4a6c22f",
"/assets/packages/cupertino_icons/assets/CupertinoIcons.ttf": "115e937bb829a890521f72d2e664b632",
"/assets/packages/flutter_markdown/assets/logo.png": "67642a0b80f3d50277c44cde8f450e50",
"/assets/doc/help/release_help.md": "e37ba9f018a676bedc1f14022b73c97e",
"/assets/doc/help/release_build_ios_help.md": "38c8a0a5087c60d155a0acad55e812b9",
"/assets/fonts/MaterialIcons-Regular.ttf": "56d3ffdef7a25659eab6a68a3fbfaf16",
"/assets/data/demo-ios.zip": "aa326e3b55130ac07e2d7a041ac11df0",
"/assets/data/magpie.png": "c96c3272100e527379f0566d6e99c44b",
"/assets/data/demo-android.apk": "392aea67d04e2144ba4666a7988f29f0"
};

self.addEventListener('activate', function (event) {
  event.waitUntil(
    caches.keys().then(function (cacheName) {
      return caches.delete(cacheName);
    }).then(function (_) {
      return caches.open(CACHE_NAME);
    }).then(function (cache) {
      return cache.addAll(Object.keys(RESOURCES));
    })
  );
});

self.addEventListener('fetch', function (event) {
  event.respondWith(
    caches.match(event.request)
      .then(function (response) {
        if (response) {
          return response;
        }
        return fetch(event.request, {
          credentials: 'include'
        });
      })
  );
});
