import 'package:flutter/material.dart';

extension MgpInputDecorationExtension on InputDecoration {
  InputDecoration asMgpInputDecoration(
      String hint, Icon icon, Function suffixPress) {
    return InputDecoration(
        labelText: hint,
        contentPadding: EdgeInsets.zero,
        labelStyle: TextStyle(color: Colors.blueGrey),
        focusColor: Color(0x88FB5638),
        enabledBorder: UnderlineInputBorder(
            borderSide: BorderSide(color: Color(0xFFF2F4F7))),
        prefixIcon: icon,
        suffix: IconButton(
            icon: Icon(
              Icons.clear,
              size: 18,
              color: Colors.blueGrey,
            ),
            onPressed: suffixPress));
  }
}
